---
layout: page
title: Keywords - win-vind
nav: Keywords
show_in_menu: false
disable_anchors: true
---
All keywords in win-vind are not case-sensitive.  

### Mode Prefix

|Keyword|Meanings|
|:---:|:---:|
|gn|GUI Normal Mode|
|gv|GUI Visual Mode|
|en|Editor Normal Mode|
|ev|Editor Visual Mode|
|i|Insert Mode|
|r|Resident Mode|
|c|Command Mode|

### Specific Keyword  

|Keyword|Meanings|
|:---:|:---|
|`<num>`|It is a number of any digits. However, you **must not** multiple uses of this keyword per a command.|
|`<any>`|It is an optional string. After this keyword, all characters will be matched.|


### Specific Ascii Keyword  

|Keyword|Meanings|
|:---:|:---|
|`<space>`|Space Key|
|`<hbar>`|Ascii code '-'|
|`<gt>`|Ascii code '&gt;'|
|`<lt>`|Ascii code '&lt;'|

 
### System Keyword  

|Keyword|Meanings|
|:---:|:---|
|`<bs>`|BackSpace Key|
|`<capslock>`|CapsLock Key|
|`<cr>`|Enter Key, Return Key|
|`<enter>`|Enter Key, Return Key|
|`<return>`|Enter Key, Return Key|
|`<ime>`|Key for switching IME|
|`<tab>`|Tab Key|
|`<left>`|Left Key|
|`<right>`|Right Key|
|`<up>`|Up Key|
|`<down>`|Down Key|
|`<shift>`|Left Shift, Right Shift|
|`<s>`|Left Shift, Right Shift|
|`<lshift>`|Left Shift|
|`<ls>`|Left Shift|
|`<rshift>`|Right Shift|
|`<rs>`|Right Shift|
|`<ctrl>`|Left Control, Right Control|
|`<c>`|Left Control, Right Control|
|`<lctrl>`|Left Control|
|`<lc>`|Left Control|
|`<rctrl>`|Right Control|
|`<rc>`|Right Control|
|`<win>`|Left Windows Key, Right Windows Key|
|`<lwin>`|Left Windows Key|
|`<rwin>`|Right Windows Key|
|`<alt>`|Left Alt, Right Alt|
|`<a>`|Left Alt, Right Alt|
|`<lalt>`|Left Alt|
|`<la>`|Left Alt|
|`<ralt>`|Right Alt|
|`<ra>`|Right Alt|
|`<m>`|Left Alt, Right Alt|
|`<lm>`|Left Alt|
|`<rm>`|Right Alt|
|`<app>`|Application Key|
|`<cvt>`|Convert Key|
|`<esc>`|Eescape Key|
|`<kana>`|Kana Key to switch IME mode on Japanese keyboard.|
|`<nocvt>`|No Convert Key|
|`<f1>`|F1|
|`<f2>`|F2|
|`<f3>`|F3|
|`<f4>`|F4|
|`<f5>`|F5|
|`<f6>`|F6|
|`<f7>`|F7|
|`<f8>`|F8|
|`<f9>`|F9|
|`<f10>`|F10|
|`<f11>`|F11|
|`<f12>`|F12|
|`<f13>`|F13|
|`<f14>`|F14|
|`<f15>`|F15|
|`<f16>`|F16|
|`<f17>`|F17|
|`<f18>`|F18|
|`<f19>`|F19|
|`<f20>`|F20|
|`<f21>`|F21|
|`<f22>`|F22|
|`<f23>`|F23|
|`<f24>`|F24|
|`<del>`|Delete Key|
|`<end>`|End Key|
|`<home>`|Home Key|
|`<insert>`|Insert Key|
|`<numlock>`|NumLock Key|
|`<pagedown>`|Page Down Key|
|`<pageup>`|Page Up Key|
|`<pause>`|Pause Key, Break Key|
|`<scroll>`|Scroll Key, Scroll Lock Key|
|`<snapshot>`|Snapshot Key, Print Screen Key, Sys Rq Key|

<br>
<br>
<br>
<br>
